/*
**	Copyright 2001 Michael Pfeiffer
*/

#ifndef TRANSFER_H
#define TRANSFER_H

#include "../riva_iic/riva_iic.h"

typedef unsigned char byte;

const int WR = 0;
const int RD = 1;
const int AUTOINC = (1 << 6);

int set_reg(int fd, byte bus, byte dab, byte reg, byte value,
													riva_data_t *ddata);
int get_reg(int fd, byte bus, byte dab, byte reg, byte* value,
													riva_data_t *ddata);
/*
int set_regs(int fd, byte bus, byte dab, byte reg, byte n, byte *values);
int get_regs(int fd, byte bus, byte dab, byte reg, byte n, byte* values);
*/
#endif
